Name:           xclock
Version:        1.0.7
Release:        %mkrel 5
Summary:        analog / digital clock for X
Group:          Development/X11
Url:            http://xorg.freedesktop.org/
Source:         http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2
License:        MIT

BuildRequires:  libx11-devel >= 1.0.0
BuildRequires:  libxt-devel >= 1.0.0
BuildRequires:  libxaw-devel >= 1.0.0
BuildRequires:  x11-util-macros >= 1.0.1
BuildRequires:  libxrender-devel >= 0.9.0
BuildRequires:  xft2-devel >= 2.1.8.2
BuildRequires:  libxkbfile-devel >= 1.0.1

%description
The xclock program displays the time in analog or digital form. The time is
continuously updated at a frequency which may be specified by the user.

%prep
%setup -q

%build
%configure2_5x	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir}

%make

%install
%make_install

%files
%{_bindir}/xclock
%{_datadir}/X11/app-defaults/XClock-color
%{_datadir}/X11/app-defaults/XClock
%{_mandir}/man1/xclock.1*


%changelog
* Wed Jan 20 2016 daviddavid <daviddavid> 1.0.7-5.mga6
+ Revision: 926039
- switch to %%configure2_5x to fix build
- add an URL

* Wed Oct 15 2014 umeabot <umeabot> 1.0.7-4.mga5
+ Revision: 748655
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.7-3.mga5
+ Revision: 690569
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.0.7-2.mga4
+ Revision: 534354
- Mageia 4 Mass Rebuild

* Tue Sep 10 2013 luigiwalser <luigiwalser> 1.0.7-1.mga4
+ Revision: 477352
- 1.0.7

* Mon Jan 14 2013 umeabot <umeabot> 1.0.6-2.mga3
+ Revision: 386701
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Feb 16 2012 tv <tv> 1.0.6-1.mga2
+ Revision: 209645
- new release

* Fri Jan 21 2011 ennael <ennael> 1.0.5-1.mga1
+ Revision: 27691
- imported package xclock


* Fri Sep 24 2010 Thierry Vignaud <tv@mandriva.org> 1.0.5-1mdv2011.0
+ Revision: 580823
- new release

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.4-2mdv2010.1
+ Revision: 524383
- rebuilt for 2010.1

* Fri Sep 25 2009 Thierry Vignaud <tv@mandriva.org> 1.0.4-1mdv2010.0
+ Revision: 448651
- new release

* Sat Mar 07 2009 Michael Scherer <misc@mandriva.org> 1.0.3-5mdv2009.1
+ Revision: 351548
- do not regerenate the configure script for no reason

  + Antoine Ginies <aginies@mandriva.com>
    - rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.0.3-4mdv2009.0
+ Revision: 226020
- rebuild

* Tue Feb 12 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.0.3-3mdv2008.1
+ Revision: 166452
- Revert to use upstream tarball, build requires and remove non mandatory local patches.

* Mon Jan 21 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.0.3-2mdv2008.1
+ Revision: 155953
- Updated BuildRequires and resubmit package.
- Choose default Xaw from xaw.m4 unless configure explicitly told otherwise.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Aug 07 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.0.3-1mdv2008.0
+ Revision: 59574
- new upstream release: 1.0.3


* Fri Sep 01 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-09-01 20:52:41 (59459)
- rebuild to fix libXaw.so.8 dependency

* Thu Jun 01 2006 Thierry Vignaud <tvignaud@mandriva.com>
+ 2006-06-01 20:13:15 (31864)
- fill in missing description & summaries

* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Tue May 30 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-30 20:36:20 (31749)
- rebuild against new libXaw package

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Thu May 25 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-25 20:17:57 (31598)
- X11R7.1

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository

